MeduxMedux

Infra > List Assets

List Assets

List assets owned by the authenticated user.

GET/api/app/v1/assets

Examples

curl -X GET https://api.medux.io/api/app/v1/assets?cursor=CURSOR&limit=LIMIT&category=MEDIA&status=PROCESSING \
  -H 'Authorization: Bearer $MEDUX_API_KEY'

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Try it lists the current account's assets.

Use the category filter to narrow reusable asset types.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

cursorstringoptional

No description provided.

Location: QUERY

limitint32optional

No description provided.

Location: QUERY

categorystringoptional

Allowed values:

  • CATEGORY_UNDEFINED - Not specified.
  • MEDIA - Uploaded source media.
  • AVATAR - Reusable avatar asset.
  • VOICE - Reusable voice asset.

Available options: CATEGORY_UNDEFINED MEDIA AVATAR VOICE

Location: QUERY

statusstringoptional

. assethpb.Status:
... enums:
..... STATUS_UNDEFINED
..... PROCESSING
..... ACTIVE
..... LOCKED
..... EXPIRING_SOON
..... EXPIRED
..... DELETED

Available options: STATUS_UNDEFINED PROCESSING ACTIVE LOCKED EXPIRING_SOON EXPIRED DELETED

Location: QUERY

Response

Response

application/json
codeint32optional

Application response code.

CodeMeaning
0OK
12Invalid input
99Server error

Available options: 0 12 13 99

Location: RESPONSE

data.entitlementobjectoptional

No description provided.

Location: RESPONSE

data.itemsarray<object>optional

No description provided.

Location: RESPONSE

data.next_cursorstringoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input unauthenticated server error

Location: RESPONSE